criterion-1.1.4.0: Robust, reliable performance measurement and analysis

Copyright | (c) 2009-2014 Bryan O'Sullivan
License | BSD-style
Maintainer | bos@serpentine.com
Stability | experimental
Portability | GHC
Safe Haskell | None
Language | Haskell98

Criterion.Internal

Description

Core benchmarking code.

Synopsis

- runAndAnalyse :: (String -> Bool) -> Benchmark -> Criterion ()
- runAndAnalyseOne :: Int -> String -> Benchmarkable -> Criterion DataRecord
- runOne :: Int -> String -> Benchmarkable -> Criterion DataRecord
- runFixedIters :: Int64 -> (String -> Bool) -> Benchmark -> Criterion ()

# Documentation

runAndAnalyse #

Arguments

:: (String -> Bool) | A predicate that chooses whether to run a benchmark by its name.
-> Benchmark |
-> Criterion () |

Run, and analyse, one or more benchmarks.

runAndAnalyseOne :: Int -> String -> Benchmarkable -> Criterion DataRecord #

Run a single benchmark and analyse its performance.

runOne :: Int -> String -> Benchmarkable -> Criterion DataRecord #

Run a single benchmark.

runFixedIters #

Arguments

:: Int64 | Number of loop iterations to run.
-> (String -> Bool) | A predicate that chooses whether to run a benchmark by its name.
-> Benchmark |
-> Criterion () |

Run a benchmark without analysing its performance.